get api key by id
curl --request GET \
--url https://api.example.com/api/v1/apikey/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/apikey/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/apikey/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantId": 123,
"apiKey": "<string>",
"label": "<string>",
"lifetime": 123,
"expiresAt": 123,
"jti": "<string>"
}Api Key Route
get api key by id
GET
/
api
/
v1
/
apikey
/
{id}
get api key by id
Authorizations
Authentication
Path Parameters
Response
200 - application/json
OK
Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED The id of a tenant that owns the key. Only accepted if request from admin role or if matches auth tenant id.
The api key (JWT token).
The label that's assigned to the key.
The duration in seconds, after which the key expires.
The time when api key was / will be expired.
The unique identifier of an api key (JWT token).